Bug 1171450 - man-db.service takes a considerable time to finish at boot (~ 6sec on an SSD)
man-db.service takes a considerable time to finish at boot (~ 6sec on an SSD)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
21
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nikola Forró
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-07 01:38 EST by Ahmad Samir
Modified: 2015-12-02 11:39 EST (History)
4 users (show)

See Also:
Fixed In Version: man-db-2.6.7.1-13.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 00:31:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ahmad Samir 2014-12-07 01:38:29 EST
After upgrading to F21, man-db now uses a systemd .timer to run its daily update of the database; this timer starts right at boot and I've noticed some delay before the graphical interface actually comes up. Looking at the output of 'system-analyze blame' it turns out man-db.service takes about 6sec to finish, this is on a fast SSD; I imagine it'll take longer on an HDD (I haven't tested).

Since there's no urgent need (AFAICS) to update the man db right at boot, I think the issue can be mitigated by delaying the expiry of the timer e.g. by adding:
OnActiveSec=5min

that means it'll run 5min after the timer has been activated, which seems like enough time for the boot process to finish and the graphical interface to have come up.
Comment 1 Ahmad Samir 2014-12-07 01:40:45 EST
(Of course this only happens once per day on the very first boot).
Comment 2 Ahmad Samir 2014-12-09 00:46:31 EST
Apparently I am wrong here; man-db.service is still run at boot even with the above modification to the .timer file, so the timer only controls when subsequent runs are done.
Comment 3 Ahmad Samir 2014-12-11 00:52:31 EST
From the systemd.timer man page:
       Persistent=
           Takes a boolean argument. If true, the time when the service unit was last
           triggered is stored on disk. When the timer is activated, the service unit is
           triggered immediately if it would have been triggered at least once during the
           time when the timer was inactive. This is useful to catch up on missed runs of
           the service when the machine was off. Note that this setting only has an
           effect on timers configured with OnCalendar=.

maybe that's why adding OnActiveSec doesn't have an effect on delaying it at boot? (I still can't fully get my head around the stuff in the man page, so I apologize in advance for my rambling, I am just thinking aloud here).
Comment 4 Jan Chaloupka 2014-12-11 04:49:00 EST
Hello Ahmad,

thanks for every note you have written. Another option is to take the service file back and use other timer/cron, that is systemd independent. I will get to this issue later. Thanks anyway.

Jan
Comment 5 Fedora Update System 2015-01-05 10:41:28 EST
man-db-2.6.7.1-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/man-db-2.6.7.1-13.fc21
Comment 6 Fedora Update System 2015-01-06 01:09:21 EST
Package man-db-2.6.7.1-13.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing man-db-2.6.7.1-13.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0204/man-db-2.6.7.1-13.fc21
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-01-17 00:43:35 EST
man-db-2.6.7.1-13.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Marcel Holtmann 2015-05-29 10:53:54 EDT
Converting back to crontabs is not a fix. Why not actually fix the issue with the systemd timer unit properly.
Comment 9 Fedora Admin XMLRPC Client 2015-07-13 06:31:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2015-11-04 06:12:12 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-12-02 00:31:56 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.